CSFML 3.0.0
Loading...
Searching...
No Matches
Public Attributes | List of all members
sfVideoMode Struct Reference

sfVideoMode defines a video mode (width, height, bpp, frequency) and provides functions for getting modes supported by the display device More...

`#include <CSFML/Window/VideoMode.h>`

## Public Attributes
sfVector2u | size
| Video mode size, in pixels.
unsigned int | bitsPerPixel
| Video mode pixel depth, in bits per pixels.

## Detailed Description

sfVideoMode defines a video mode (width, height, bpp, frequency) and provides functions for getting modes supported by the display device

Definition at line 43 of file VideoMode.h.

## Member Data Documentation

## ◆ bitsPerPixel

unsigned int sfVideoMode::bitsPerPixel

Video mode pixel depth, in bits per pixels.

Definition at line 46 of file VideoMode.h.

## ◆ size

sfVector2u sfVideoMode::size

Video mode size, in pixels.

Definition at line 45 of file VideoMode.h.

The documentation for this struct was generated from the following file:

- VideoMode.h